%define aurox_ver 10.2
%define rel 1

#%define gnumeric_version %{version}-bonobo
%define gnumeric_version %{version}

Summary:        A spreadsheet program for GNOME.
Name:     	gnumeric
Version: 	1.4.2
Release: %{aurox_ver}.aur.%{rel}
Epoch:		1
License:	GPL
Group: Applications/Productivity
Source: 	ftp://ftp.gnome.org/pub/GNOME/stable/sources/gnumeric/gnumeric-%{version}.tar.bz2
URL:		http://www.gnome.org/gnumeric/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires:	libgnomeui >= 2.4.0
Requires:	libgnomeprintui22 >= 2.3.0
Requires:	gtk2 >= 2.2.0
Requires: 	libgsf >= 1.8.0
BuildPrereq: libgnomeui-devel >= 2.4.0
BuildPrereq: libgnomeprintui22-devel >= 2.2.0
BuildPrereq: libxml2-devel >= 2.4.12
BuildPrereq: python-devel
BuildPrereq: libgsf-devel >= 1.8.2
BuildRequires: automake autoconf libtool

%description
Gnumeric is a spreadsheet program for the GNOME GUI desktop
environment.

%package devel
Summary: Files necessary to develop gnumeric-based applications.
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}

%description devel
Gnumeric is a spreadsheet program for the GNOME GUI desktop
environment. The gnumeric-devel package includes files necessary to
develop gnumeric-based applications.

%prep
%setup -q

%build
export mllibname=%{_lib}
# Guile does not build in GNOME 2.x
%configure --without-gb --without-guile

## remove docs that don't build for now
#perl -pi -e 's/SUBDIRS = C.*/SUBDIRS = C/' doc/Makefile

OLD_PO_FILE_INPUT=yes make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=$RPM_BUILD_ROOT install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

if [ -f /usr/lib/rpm/find-lang.sh ] ; then
 /usr/lib/rpm/find-lang.sh $RPM_BUILD_ROOT %name
# sed "s:(644, root, root, 755):(444, bin, bin, 555):" %{name}.lang \
# >tmp.lang && mv tmp.lang %{name}.lang
fi

./mkinstalldirs $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor gnome --delete-original                   \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications                         \
  --add-category X-Aurox-Extra                                          \
  --add-category Office                                                 \
  --add-category Application                                            \
  --add-category Spreadsheet                                            \
  $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnumeric*.schemas > /dev/null

%postun -p /sbin/ldconfig

%files -f %{name}.lang

%defattr (0755, root, root)
%{_bindir}/gnumeric-%{gnumeric_version}
%{_bindir}/ssconvert
%dir %{_libdir}/gnumeric
%dir %{_libdir}/gnumeric/%{gnumeric_version}
%{_libdir}/gnumeric/%{gnumeric_version}/plugins/*
# guile disabled due to 64-bit crash
# Aurox is for 32-bit archs only but guile is disabled in gnumeric
##%{_datadir}/gnumeric/%{gnumeric_version}/guile
# FIXME - for s390 it builds some more with "--with-pic=-fPIC", but the
# grep for dlname then still fails.

%defattr (0644, root, root, 0755)
%doc HACKING AUTHORS ChangeLog NEWS BUGS README COPYING TODO
%{_datadir}/gnome/help/gnumeric/*
%{_datadir}/pixmaps/gnumeric
%{_datadir}/pixmaps/gnome-application-*.png
%{_datadir}/pixmaps/gnome-gnumeric.png
%{_datadir}/pixmaps/*gnumeric.ico
%dir %{_datadir}/gnumeric
%{_datadir}/gnumeric/%{gnumeric_version}
%{_datadir}/mime-info/gnumeric.keys
%{_datadir}/mime-info/gnumeric.mime
%{_datadir}/mc/templates/gnumeric.desktop
%{_datadir}/applications/*
%dir %{_datadir}/omf/gnumeric/
%{_datadir}/omf/gnumeric/*
%{_sysconfdir}/gconf/schemas/*.schemas
%{_libdir}/bonobo/servers/GNOME_Gnumeric.server
%{_mandir}/man1/gnumeric.1.gz
%{_mandir}/man1/ssconvert.1.gz
/var/scrollkeeper/*

%files devel
%defattr (-, root, root)
%dir %{_datadir}/gnumeric
%dir %{_datadir}/gnumeric/%{gnumeric_version} 
%{_datadir}/gnumeric/%{gnumeric_version}/idl/*.idl
%dir %{_libdir}/gnumeric
%dir %{_libdir}/gnumeric/%{gnumeric_version}

%changelog
* Thu Jan 27 2005 Aurox Team <aurox@aurox.org> 1:1.4.2-10.2.aur.1


* Thu Mar 18 2004 Aurox Team <aurox@aurox.org> 1:1.2.8-9.3.aur.1
- man pages added to the file list
- new upstream release

* Tue Oct 14 2003 Havoc Pennington <hp@redhat.com> 1:1.2.1-1
- add %post to install schemas
- 1.2.1

* Fri Sep 19 2003 Havoc Pennington <hp@redhat.com> 1:1.2.0-1
- 1.2.0 final

* Mon Aug 25 2003 Jonathan Blandford <jrb@redhat.com>
- new version for GNOME 2.4

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Apr 29 2003 Tim Powers <timp@redhat.com> 1:1.0.12-5
- rebuild to fix broken libgal dep

* Tue Feb 18 2003 Elliot Lee <sopwith@redhat.com> 1:1.0.12-4
- Put in a fix for the no-python-on-lib64 problem.

* Wed Feb 12 2003 Havoc Pennington <hp@redhat.com> 1:1.0.12-3
- add --without-guile due to crash on 64-bit #82977

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jan  9 2003 Havoc Pennington <hp@redhat.com>
- 1.0.12
- remove libtoolize/autotools invocations, dunno why they were there

* Mon Dec 16 2002 Elliot Lee <sopwith@redhat.com> 1.0.9-6
- Run libtool/auto*
- Rebuild

* Thu Dec 05 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- also disable python for mainframe, this should be fixed properly
  at some point...
- add guile to filelist

* Wed Nov  6 2002 Bill Nottingham <notting@redhat.com> 1.0.9-4
- rebuild everywhere
- no python on hammer ATM

* Thu Oct 24 2002 Jeremy Katz <katzj@redhat.com>
- rebuild against new gal
- fixup file lists to use correct macros and include all files

* Fri Aug  2 2002 Havoc Pennington <hp@redhat.com>
- desktop file fixage

* Fri Jul 26 2002 Akira TAGOH <tagoh@redhat.com> 1.0.9-1
- update to 1.0.9
- gnumeric-0.67-excel95-ja.patch: we no longer need it. removed. (Bug#62776)

* Fri Jul 12 2002 Havoc Pennington <hp@redhat.com>
- update to 1.0.8
- remove exceljpfonts patch that no longer applies

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Apr 10 2002 Havoc Pennington <hp@redhat.com>
- add jp excel reading patch #62776

* Wed Mar 27 2002 Havoc Pennington <hp@redhat.com>
- add multibyte patch #61624

* Mon Mar 11 2002 Havoc Pennington <hp@redhat.com>
- 1.0.5

* Wed Jan 30 2002 Tim Powers <timp@redhat.com>
- update to 1.0.3

* Tue Nov 20 2001 Jonathan Blandford <jrb@redhat.com>
- Version 0.76

* Mon Oct  8 2001 Matt Wilson <msw@redhat.com>
- removed patch4 (gnumeric-0.67-sheet_corruption.patch), in CVS now.
- removed patch8 (gnumeric-0.67-xlsscale.patch), no longer needed.
- removed patch4 (gnumeric-0.67-s390.patch), no longer needed.
- regenerated patch6 (gnumeric-0.67.lengthen-warning.patch) against 0.71
- removed patch2 (gnumeric-0.67-mb.patch), in CVS now.
- removed patch9 (gnumeric-0.67-backspace.patch), came from CVS.
- removed patch5 (gnumeric-0.67-desktop.patch), ditto
- renamed remaining patches:
    patch3 (gnumeric-0.67-excel95-ja.patch) -> patch2
    patch6 (gnumeric-0.71-lengthen-warning.patch) -> patch3
- removed source10, ja.po from upstream is more up to date.
- added files needed for bonobo gnumeric back into file list

* Wed Sep  5 2001 Owen Taylor <otaylor@redhat.com>
- Add patch from CVS to fix backspace (#53062)

* Tue Aug  7 2001 Owen Taylor <otaylor@redhat.com>
- Fix problem with scaling percentage and XLS files (#51054)
- Fix problem where default font for ja and other locales was backwards

* Mon Aug  6 2001 Owen Taylor <otaylor@redhat.com>
- Install all files from the plugins in the main package. Putting .la
  files in the main package didn't make sense, and we were missing
  some files for the gnome-glossary package.

* Fri Aug  3 2001 Owen Taylor <otaylor@redhat.com>
- Add some missing directories to the main package (#50701)

* Tue Jul 31 2001 Than Ngo <than@redhat.com>
- add patch to build on s390, s390x

* Fri Jul 27 2001 Jonathan Blandford <jrb@redhat.com>
- change 'old copy' dialog to popup after 9 months

* Fri Jul 20 2001 Owen Taylor <otaylor@redhat.com>
- Add missing contents of .desktop file from CVS

* Thu Jul 19 2001 Owen Taylor <otaylor@redhat.com>
- Move desktop file to /etc/X11/applnk (#23488)
- Added BuildPrereq on python-devel (#45029)
- Add BuildPrereq on gal-devel (#45027)
- Add <locale.h> include to .mb patch 
  (don't know why it works for me / in the build system, #32388)

* Mon Jul 16 2001 Jonathan Blandford <jrb@redhat.com>
- backport sheet corruption fix

* Tue Jul 10 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Make devel subpackage depend on main package

* Sat Jul 07 2001 Owen Taylor <otaylor@redhat.com>
- Version 0.67

* Fri Jun 15 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Thu Jun 07 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- support newer gettext version

* Fri Mar  9 2001 Akira TAGOH <tagoh@redhat.com> 0.61-9
- Fixed read excel95's .xls for Japanese.

* Fri Feb 23 2001 Akira TAGOH <tagoh@rehdat.com> 0.61-8
- Fixed jp patch with gnome-print.

* Mon Feb 19 2001 Akira TAGOH <tagoh@redhat.com>
- Fixed jp patch.

* Thu Feb 08 2001 Yukihiro Nakai <ynakai@redhat.com>
- Fix about Japanese translation (ja.po)

* Wed Feb 07 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update Japanese translation.

* Tue Feb 06 2001 Akira TAGOH <tagoh@redhat.com>
- Added Japanese patch.
- Updated Japanese translation.
  Note: Please remove Source10 when the next upstream release.

* Thu Jan 18 2001 Matt Wilson <msw@redhat.com>
- don't use bin:bin for files in devel.

* Wed Jan 03 2001 Preston Brown <pbrown@redhat.com>
- standard file and directory modes/ownership

* Fri Dec 29 2000 Matt Wilson <msw@redhat.com>
- use rpm > 3.0.5 macros
- 0.61

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Tue Jul 18 2000 Owen Taylor <otaylor@redhat.com>
- Fix DocDir:

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

